Skip to main content
`Ctrl`+`K`

# numpy.matrix.getA1

method

matrix.getA1()

  Return self as a flattened `ndarray`.

  Equivalent to `np.asarray(x).ravel()`

  Parameters:
    None
  Returns:
    ret ndarray

      self, 1-D, as an `ndarray`

  Examples

      >>> x = np.matrix(np.arange(12).reshape((3,4))); x
      matrix([[ 0,  1,  2,  3],
              [ 4,  5,  6,  7],
              [ 8,  9, 10, 11]])
      >>> x.getA1()
      array([ 0,  1,  2, ...,  9, 10, 11])